# 63. Mutare: salvează organizația

Mutatie pentru a adăuga sau edita „Organizația”. „Utilizatorul” care a trimis cererea saveOrganization va fi proprietarul „Organizației”.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutatie saveOrganizationExemplu {
  saveOrganization(
    input: {
      nume: "Numele organizației"
      prenume: "Prenumele proprietarului"
      givenName: "Prenumele proprietarului"
      email: "owner@gmail.com"
      telefon: "+0"
    }
  ) {
    uuid
    nume
    prenume
    nume
    email
    telefon
    dataCrearii
    updatedDate
  }
}
```

{% endcode %}

Pentru a edita „Organizația” existentă, adăugați atributul uuid în cerere.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutatie saveOrganizationExemplu {
  saveOrganization(
    input: {
      uuid: "<organization_uuid>"
      nume: "Noul nume al organizației"
      prenume: "Prenumele proprietarului"
      givenName: "Prenumele proprietarului"
      email: "owner_info@gmail.com"
      telefon: "+0"
    }
  ) {
    uuid
    nume
    prenume
    nume
    email
    telefon
    dataCrearii
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatia-api/prezentarea-generala-a-solicitarilor-api-geopard/63.-mutare-salveaza-organizatia.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
